Commits

uniqx committed 59574fa

added copyright notice; droped a few lines in the readme

  • Participants
  • Parent commits c351fa1

Comments (0)

Files changed (4)

+
+ ----------------------------------------------------------------------------
+ "THE MATE-WARE LICENSE":
+ <uniq@h4x.at> composed this settings. As long as you retain this
+ notice you can do whatever you want with this stuff. If we meet some day,
+ and you think this stuff is worth it, you can buy me a club mate in return.
+ - uniq <https://metalab.at/wiki/user:uniq>
+ ----------------------------------------------------------------------------
+
+These are my xmonad settings ...
 
-apt-get install xscreensaver volti suckless-tools gmrun keepassx vidalia xmobar pidgin
 
 
+
+dependencies on a debian base system:
+
+ # apt-get install xmonad xscreensaver volti suckless-tools gmrun keepassx vidalia xmobar pidgin
+
+

File startupHook.sh

 #! /bin/sh
 
+#
+# ----------------------------------------------------------------------------
+# "THE MATE-WARE LICENSE":
+# <uniq@h4x.at> created this file. As long as you retain this
+# notice you can do whatever you want with this stuff. If we meet some day,
+# and you think this stuff is worth it, you can buy me a club mate in return.
+# - uniq <https://metalab.at/wiki/user:uniq>
+# ----------------------------------------------------------------------------
+#
+
+
 start_if_not_running (){
 
   MYAPP="$1"
   else
     set +e
     echo "$MYAPP not running, will run it now"
-    ($* > /dev/null 2>&1 || true ) & # continue if an application crashes
+    ($* > /dev/null 2>&1 || true ) & # execute and continue if an application crashes
     set -e
   fi
 
 
 # gnome stuff
 start_if_not_running /usr/bin/gnome-keyring-daemon --start --components=secrets
-start_if_not_running /usr/bin/gnome-keyring-daemon --start --components=ssh
+start_if_not_running /usr/bin/gnome-keyring-daemon --start --components=ssh #FIXME never executes
 start_if_not_running /usr/bin/gnome-keyring-daemon --start --components=pkcs11
 start_if_not_running /usr/bin/gnome-keyring-daemon --start --components=gpg
 start_if_not_running /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1
 --
 -- Normally, you'd only override those defaults you care about.
 --
+
+
+--
+------------------------------------------------------------------------------
+-- "THE MATE-WARE LICENSE":
+-- <uniq@h4x.at> copied and modified this file. As long as you retain this
+-- notice you can do whatever you want with this stuff. If we meet some day,
+-- and you think this stuff is worth it, you can buy me a club mate in return.
+-- - uniq <https://metalab.at/wiki/user:uniq>
+------------------------------------------------------------------------------
+--
+
+
+
  
 import XMonad
 import System.Exit